org.codehaus.groovy.ant

## Class LoggingHelper

- java.lang.Object
- - org.codehaus.groovy.ant.LoggingHelper

-     public class LoggingHelper
      extends java.lang.Object

  Helper to make logging from Ant easier.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingHelper(org.apache.tools.ant.Task owner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String msg)`
    `void` | `error(java.lang.String msg)`
    `void` | `info(java.lang.String msg)`
    `void` | `verbose(java.lang.String msg)`
    `void` | `warn(java.lang.String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingHelper

          public LoggingHelper(org.apache.tools.ant.Task owner)

  - ### Method Detail

    - #### error

          public void error(java.lang.String msg)

    - #### warn

          public void warn(java.lang.String msg)

    - #### info

          public void info(java.lang.String msg)

    - #### verbose

          public void verbose(java.lang.String msg)

    - #### debug

          public void debug(java.lang.String msg)